<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Lugares del torneo</title>
    </h:head>
    <h:body>
        <ui:include src="menutab.xhtml" />
        <p:fieldset>
            <h:form id="formLugar">
                <h:panelGrid columns="3">
                    <p:outputLabel value="Seleccione ciudad"/>
                    <p:selectOneMenu value="#{lugar_TorneoController.ciudad.idciudad}">
                        <f:selectItems value="#{ciudadController.lista}" var="ciudades" itemValue="#{ciudades.idciudad}" itemLabel="#{ciudades.ciudad}"/>
                    </p:selectOneMenu>
                    <p:commandButton value="Añadir" oncomplete="PF('ciudad').show();" update=":ciudad"/>
                    <p:outputLabel value="Seleccione Pista"/>
                    <p:selectOneMenu value="#{lugar_TorneoController.pista.idpista}">
                        <f:selectItems value="#{pistaController.lista}" var="pista" itemValue="#{pista.idpista}" itemLabel="#{pista.pista}"/>
                    </p:selectOneMenu>
                    <p:commandButton value="Añadir" oncomplete="PF('pista').show();" update=":pistas"/>
                    <p:outputLabel value="Seleccione Torneo"/>
                    <p:selectOneMenu value="#{lugar_TorneoController.torneo.idtorneo}">
                        <f:selectItems value="#{torneoController.lista}" var="torneo" itemValue="#{torneo.idtorneo}" itemLabel="#{torneo.nombre}"/>
                    </p:selectOneMenu>
                    <p:column/>
                    <p:commandButton disabled="#{!lugar_TorneoController.boton}"  value="Guardar" actionListener="#{lugar_TorneoController.insertar()}" update=":listaLugares,formLugar"/>
                    <p:commandButton disabled="#{lugar_TorneoController.boton}"  value="Actualizar" actionListener="#{lugar_TorneoController.actualizar()}" update=":listaLugares,formLugar"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>
        <p:dialog widgetVar="ciudad" id="ciudad" modal="true">
            <p:fieldset legend="Añadir Ciudad">
                <h:form id="formCiudad">
                    <h:panelGrid columns="2">
                        <p:outputLabel value="Seleccione un pais"/>
                        <p:selectOneMenu value="#{ciudadController.pais.idpais}">
                            <f:selectItems value="#{paisController.lista}" var="ciudades" itemValue="#{ciudades.idpais}" itemLabel="#{ciudades.pais}"/>
                        </p:selectOneMenu>
                        <p:outputLabel value="Nombre de la ciudad"/>
                        <p:inputText value="#{ciudadController.ciudad.ciudad}"/>
                        <p:commandButton rendered="#{ciudadController.ciudad.ciudad==null}" value="Guardar" actionListener="#{ciudadController.insertar()}" update=":listaCiudades,formCiudad,:formLugar"/>
                        <p:commandButton rendered="#{ciudadController.ciudad.ciudad!=null}" value="Actualizar" actionListener="#{ciudadController.actualizar()}" update=":listaCiudades,formCiudad,:formLugar"/>
                    </h:panelGrid>
                </h:form>
            </p:fieldset>
            <br/>
            <p:fieldset legend="Lista ciudades">

                <h:form id="listaCiudades">
                    <p:dataTable value="#{ciudadController.lista}" var="ciudades" rows="5" paginator="true">
                        <p:column headerText="ID" width="80">
                            <p:outputLabel value="#{ciudades.idciudad}"/>
                        </p:column>
                        <p:column headerText="Pais" width="200">
                            <p:outputLabel value="#{ciudades.idpais.pais}"/>
                        </p:column>
                        <p:column headerText="Ciudad" width="200">
                            <p:outputLabel value="#{ciudades.ciudad}"/>
                        </p:column>
                        <p:column headerText="Acciones" width="250">
                            <p:commandButton value="Eliminar"  actionListener="#{ciudadController.eliminar(ciudades)}" update="listaCiudades,:formLugar"/>
                            <p:commandButton value="Actualizar"  actionListener="#{ciudadController.consultarById(ciudades)}" update=":formCiudad"/>
                        </p:column>
                    </p:dataTable>
                </h:form>
            </p:fieldset>
        </p:dialog>

        <p:dialog widgetVar="pista" id="pistas" modal="true">
            <p:fieldset legend="NUEVA PISTA">
                <h:form id="datos">
                    <h:panelGrid columns="2">
                        <p:outputLabel value="NOMBRE DE PISTA"/>
                        <p:inputText value="#{pistaController.pista.pista}"/>
                        <p:commandButton rendered="#{pistaController.pista.pista==null}" value="AGREGAR" actionListener="#{pistaController.insertar()}" update=":tabla,:formLugar,datos"/>
                        <p:commandButton rendered="#{pistaController.pista.pista!=null}" value="EDITAR" actionListener="#{pistaController.editar()}" update=":tabla,:formLugar,datos"/>
                    </h:panelGrid>
                </h:form>
            </p:fieldset>
            <br/>
            <p:fieldset legend="Lista de pistas">
                <h:form id="tabla">
                    <p:dataTable value="#{pistaController.lista}" var="lp" paginator="true" rows="5">
                        <p:column headerText="ID" width="80">
                            <p:outputLabel value="#{lp.idpista}"/>
                        </p:column>
                        <p:column headerText="PISTA" width="200">
                            <p:outputLabel value="#{lp.pista}"/>
                        </p:column>
                        <p:column headerText="ACCIONES" width="250">
                            <p:commandButton value="ELIMINAR" actionListener="#{pistaController.eliminar(lp)}" update=":tabla,:formLugar"/>
                            <p:commandButton value="EDITAR" actionListener="#{pistaController.consultarById(lp)}" update=":datos"/>
                        </p:column>
                    </p:dataTable>
                </h:form>
            </p:fieldset>
        </p:dialog>
        <br/>
        <br/>
        <p:fieldset legend="Lista de Lugares-Torneo">
            <h:form id="listaLugares">
                <p:dataTable value="#{lugar_TorneoController.lista}" var="lugares" paginator="true" rows="5">
                    <p:column headerText="Id">
                        <p:outputLabel value="#{lugares.idlugar}"/>
                    </p:column>
                    <p:column headerText="Ciudad">
                        <p:outputLabel value="#{lugares.idciudad.ciudad}"/>
                    </p:column>
                    <p:column headerText="Pista">
                        <p:outputLabel value="#{lugares.idpista.pista}"/>
                    </p:column>
                    <p:column headerText="Torneo">
                        <p:outputLabel value="#{lugares.idtorneo.nombre}"/>
                    </p:column>
                    <p:column headerText="Torneo">
                        <p:commandButton value="Eliminar" actionListener="#{lugar_TorneoController.eliminar(lugares)}" update="listaLugares"/>
                        <p:commandButton value="Actualizar" actionListener="#{lugar_TorneoController.consultarById(lugares)}" update=":formLugar"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>

    </h:body>
</html>
